#
# spec file for package upnp-inspector
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           upnp-inspector
%define _name   UPnP-Inspector
Summary:        UPnP Device and Service analyzer
Version:        0.2.2
Release:        16.2
License:        MIT
Group:          Productivity/Networking/Other
Url:            http://coherence.beebits.net/wiki/UPnP-Inspector
Source:         %{_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-coherence
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires
%if 0%{?suse_version} < 1120
%define python_sitelib %{py_sitedir}
%endif

%description
UPnP-Inspector is an UPnP Device and Service analyzer, based on the
Coherence DLNA/UPnP framework.

Loosely modeled after the Intel UPnP Device Spy and the UPnP Test Tool.

%prep
%setup -q -n %{_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc ChangeLog LICENCE NEWS README
%{_bindir}/upnp-inspector
%{python_sitelib}/*.egg-info
%{python_sitelib}/upnp_inspector

%changelog
* Thu Oct  1 2009 vuntz@opensuse.org
- Use new python macros on 11.2 and later.
* Sun Jun 14 2009 vuntz@novell.com
- Initial package.
